package mhp.oee.po.gen;

import java.util.Date;

public class ClientLoginLogPO {
    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column client_login_log.HANDLE
     *
     * @mbggenerated
     */
    private String handle;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column client_login_log.USER_BO
     *
     * @mbggenerated
     */
    private String userBo;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column client_login_log.RESOURCE_BO
     *
     * @mbggenerated
     */
    private String resourceBo;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column client_login_log.STRT
     *
     * @mbggenerated
     */
    private String strt;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column client_login_log.LOGIN_DATE_TIME
     *
     * @mbggenerated
     */
    private Date loginDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column client_login_log.ACTION_CODE
     *
     * @mbggenerated
     */
    private String actionCode;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column client_login_log.LOGIN_MODE
     *
     * @mbggenerated
     */
    private String loginMode;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column client_login_log.USER_DEPARTMENT
     *
     * @mbggenerated
     */
    private String userDepartment;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column client_login_log.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date createdDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column client_login_log.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    private Date modifiedDateTime;

    /**
     * This field was generated by MyBatis Generator.
     * This field corresponds to the database column client_login_log.MODIFIED_USER
     *
     * @mbggenerated
     */
    private String modifiedUser;

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column client_login_log.HANDLE
     *
     * @return the value of client_login_log.HANDLE
     *
     * @mbggenerated
     */
    public String getHandle() {
        return handle;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column client_login_log.HANDLE
     *
     * @param handle the value for client_login_log.HANDLE
     *
     * @mbggenerated
     */
    public void setHandle(String handle) {
        this.handle = handle == null ? null : handle.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column client_login_log.USER_BO
     *
     * @return the value of client_login_log.USER_BO
     *
     * @mbggenerated
     */
    public String getUserBo() {
        return userBo;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column client_login_log.USER_BO
     *
     * @param userBo the value for client_login_log.USER_BO
     *
     * @mbggenerated
     */
    public void setUserBo(String userBo) {
        this.userBo = userBo == null ? null : userBo.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column client_login_log.RESOURCE_BO
     *
     * @return the value of client_login_log.RESOURCE_BO
     *
     * @mbggenerated
     */
    public String getResourceBo() {
        return resourceBo;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column client_login_log.RESOURCE_BO
     *
     * @param resourceBo the value for client_login_log.RESOURCE_BO
     *
     * @mbggenerated
     */
    public void setResourceBo(String resourceBo) {
        this.resourceBo = resourceBo == null ? null : resourceBo.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column client_login_log.STRT
     *
     * @return the value of client_login_log.STRT
     *
     * @mbggenerated
     */
    public String getStrt() {
        return strt;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column client_login_log.STRT
     *
     * @param strt the value for client_login_log.STRT
     *
     * @mbggenerated
     */
    public void setStrt(String strt) {
        this.strt = strt == null ? null : strt.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column client_login_log.LOGIN_DATE_TIME
     *
     * @return the value of client_login_log.LOGIN_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getLoginDateTime() {
        return loginDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column client_login_log.LOGIN_DATE_TIME
     *
     * @param loginDateTime the value for client_login_log.LOGIN_DATE_TIME
     *
     * @mbggenerated
     */
    public void setLoginDateTime(Date loginDateTime) {
        this.loginDateTime = loginDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column client_login_log.ACTION_CODE
     *
     * @return the value of client_login_log.ACTION_CODE
     *
     * @mbggenerated
     */
    public String getActionCode() {
        return actionCode;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column client_login_log.ACTION_CODE
     *
     * @param actionCode the value for client_login_log.ACTION_CODE
     *
     * @mbggenerated
     */
    public void setActionCode(String actionCode) {
        this.actionCode = actionCode == null ? null : actionCode.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column client_login_log.LOGIN_MODE
     *
     * @return the value of client_login_log.LOGIN_MODE
     *
     * @mbggenerated
     */
    public String getLoginMode() {
        return loginMode;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column client_login_log.LOGIN_MODE
     *
     * @param loginMode the value for client_login_log.LOGIN_MODE
     *
     * @mbggenerated
     */
    public void setLoginMode(String loginMode) {
        this.loginMode = loginMode == null ? null : loginMode.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column client_login_log.USER_DEPARTMENT
     *
     * @return the value of client_login_log.USER_DEPARTMENT
     *
     * @mbggenerated
     */
    public String getUserDepartment() {
        return userDepartment;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column client_login_log.USER_DEPARTMENT
     *
     * @param userDepartment the value for client_login_log.USER_DEPARTMENT
     *
     * @mbggenerated
     */
    public void setUserDepartment(String userDepartment) {
        this.userDepartment = userDepartment == null ? null : userDepartment.trim();
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column client_login_log.CREATED_DATE_TIME
     *
     * @return the value of client_login_log.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getCreatedDateTime() {
        return createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column client_login_log.CREATED_DATE_TIME
     *
     * @param createdDateTime the value for client_login_log.CREATED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setCreatedDateTime(Date createdDateTime) {
        this.createdDateTime = createdDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column client_login_log.MODIFIED_DATE_TIME
     *
     * @return the value of client_login_log.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public Date getModifiedDateTime() {
        return modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column client_login_log.MODIFIED_DATE_TIME
     *
     * @param modifiedDateTime the value for client_login_log.MODIFIED_DATE_TIME
     *
     * @mbggenerated
     */
    public void setModifiedDateTime(Date modifiedDateTime) {
        this.modifiedDateTime = modifiedDateTime;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method returns the value of the database column client_login_log.MODIFIED_USER
     *
     * @return the value of client_login_log.MODIFIED_USER
     *
     * @mbggenerated
     */
    public String getModifiedUser() {
        return modifiedUser;
    }

    /**
     * This method was generated by MyBatis Generator.
     * This method sets the value of the database column client_login_log.MODIFIED_USER
     *
     * @param modifiedUser the value for client_login_log.MODIFIED_USER
     *
     * @mbggenerated
     */
    public void setModifiedUser(String modifiedUser) {
        this.modifiedUser = modifiedUser == null ? null : modifiedUser.trim();
    }
}